## ironic-ui 2.0.0

=== debian/changelog ===
ironic-ui (2.0.0-1+7~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 29 Sep 2016 11:51:32 +0000

ironic-ui (2.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #839076)

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 17:06:05 +0200

## ironic-ui 2.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
python-ironicclient>=1.1.0 # Apache-2.0

=== debian/changelog ===
ironic-ui (2.1.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 24 Feb 2017 21:37:05 +0000

ironic-ui (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Correctly run collectstatic and compress after install.
  * Add ironic_ui/static/dashboard/admin/ironic/base-node/base-node.service.js
    to lintian-overrides.
  * Added missing copyright holder in debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Sep 2016 11:09:28 +0200

=== debian/control ===
Source: ironic-ui
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: openstack-dashboard (>= 3:10.0.0~rc2),
                     python-coverage,
                     python-django-nose (>= 1.2),
                     python-hacking,
                     python-ironicclient (>= 1.1.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-subunit,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-ironic-ui?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-ironic-ui -b debian/newton
Homepage: https://github.com/openstack/ironic-ui

Package: python-ironic-ui
Architecture: all
Depends: openstack-dashboard (>= 3:10.0.0~rc2),
         python-ironicclient (>= 1.1.0),
         python-pbr (>= 1.8),
         python-six (>= 1.7.0),
         ${misc:Depends},
         ${python:Depends},
Description: bare metal hypervisor API for OpenStack - Dashboard plugin
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package contains the Ironic OpenStack dashboard plugin.

## ironic-ui 2.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
python-ironicclient>=1.11.0 # Apache-2.0

=== debian/changelog ===
ironic-ui (2.2.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Fetch the tarball from tarballs.openstack.org
  * New upstream release.
  * d/control: Adjust dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Feb 2017 14:59:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ironic-ui
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -14,7 +15,7 @@
                      python-coverage,
                      python-django-nose (>= 1.2),
                      python-hacking,
-                     python-ironicclient (>= 1.1.0),
+                     python-ironicclient (>= 1.11.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
                      python-subunit,
@@ -23,14 +24,14 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-ironic-ui?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-ironic-ui -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-ui
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-ui
 Homepage: https://github.com/openstack/ironic-ui
 
 Package: python-ironic-ui
 Architecture: all
 Depends: openstack-dashboard (>= 3:10.0.0~rc2),
-         python-ironicclient (>= 1.1.0),
+         python-ironicclient (>= 1.11.0),
          python-pbr (>= 1.8),
          python-six (>= 1.7.0),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python-ironic-ui/usr/lib/python2.7/dist-packages \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		python $(CURDIR)/manage.py test ironic_ui --settings=ironic_ui.test.settings
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	# Activates in the dashboard
	set -e ; for pyvers in $(PYTHONS); do \
		mkdir -p $(CURDIR)/debian/python-ironic-ui/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
		cp $(CURDIR)/ironic_ui/enabled/_2* $(CURDIR)/debian/python-ironic-ui/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
	done
	mkdir -p $(CURDIR)/debian/python-ironic-ui/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp $(CURDIR)/ironic_ui/enabled/_2*.py $(CURDIR)/debian/python-ironic-ui/usr/share/openstack-dashboard/openstack_dashboard/enabled

## ironic-ui 3.3.0

=== debian/changelog ===
ironic-ui (3.3.0-4) unstable; urgency=medium

  * Redesign ironic-ui:
      - Enabled files now in /etc/openstack-dashboard/
      - Removed post scripts which is now achieved by a trigger
  * d/copyright: Update copyright
  * d/control: Add me to uploaders field
  * d/control: Remove python2 support

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Jan 2019 23:34:47 +0100

ironic-ui (3.3.0-3) unstable; urgency=medium

  * Reintroduce a python-ironic-ui to allow transition from Stretch because
    of the python-ironic-ui postrm needs to be neutralized. (Closes: #910225).

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Oct 2018 11:58:52 +0100

ironic-ui (3.3.0-2) unstable; urgency=medium

  * Fix postrm missing || (Closes: #900500).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:46:54 +0200

ironic-ui (3.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Aug 2018 09:42:03 +0200

ironic-ui (3.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Switched to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 09:52:55 +0100

ironic-ui (3.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Standards-Version is 4.1.1 now (no change).
  * Deprecating priority extra as per policy 4.0.1.
  * Ran wrap-and-sort -bast.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updating vcs fields.
  * Updating copyright format url.
  * Removed things defined in openstack-pkg-tools.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Nov 2017 07:39:16 +0100

=== debian/control ===
Source: ironic-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~rc2),
 python3-coverage,
 python3-django (<< 2:2),
 python3-django-nose,
 python3-hacking,
 python3-ironicclient (>= 2.3.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslotest (>= 1:3.2.0),
 python3-six,
 python3-subunit,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic-ui
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic-ui.git
Homepage: https://github.com/openstack/ironic-ui

Package: python3-ironic-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~rc2),
 python3-django (<< 2:2),
 python3-ironicclient (>= 2.3.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-ironic-ui (<< 3.3.0),
Replaces:
 python-ironic-ui (<< 3.3.0),
Description: bare metal hypervisor API for OpenStack - Dashboard plugin
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package contains the Ironic OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/ironic_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Remove config files and dirs from /usr/lib/python3/dist-packages/ironic_ui/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/ironic_ui/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test ironic_ui -v 2 --settings=ironic_ui.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/ironic-ui/tags .*/(\d[\d\.]+)\.tar\.gz

## ironic-ui 3.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-ironicclient>=2.3.0 # Apache-2.0

=== debian/changelog ===
ironic-ui (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Standards-Version: 4.3.0 (no change).
  * Only run unit tests, not integration.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Mar 2019 21:42:38 +0200

=== debian/control ===
--- 
+++ 
@@ -10,25 +10,25 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:14.0.0~rc2),
+ openstack-dashboard (>= 3:15.0.0~rc1),
  python3-coverage,
- python3-django (<< 2:2),
+ python3-django,
  python3-django-nose,
  python3-hacking,
- python3-ironicclient (>= 2.3.0),
- python3-openstackdocstheme (>= 1.18.1),
- python3-oslotest (>= 1:3.2.0),
+ python3-ironicclient,
+ python3-openstackdocstheme,
+ python3-oslotest,
  python3-six,
  python3-subunit,
  python3-testscenarios,
- python3-testtools (>= 2.2.0),
+ python3-testtools,
  subunit,
  testrepository,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic-ui
 Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic-ui.git
 Homepage: https://github.com/openstack/ironic-ui
@@ -36,10 +36,10 @@
 Package: python3-ironic-ui
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0~rc2),
- python3-django (<< 2:2),
- python3-ironicclient (>= 2.3.0),
- python3-pbr (>= 2.0.0),
+ openstack-dashboard (>= 3:15.0.0~rc1),
+ python3-django,
+ python3-ironicclient,
+ python3-pbr,
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 			NOSE_OPENSTACK_RED=0.05 \
 			NOSE_OPENSTACK_YELLOW=0.025 \
 			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
-			python$$i $(CURDIR)/manage.py test ironic_ui -v 2 --settings=ironic_ui.test.settings ; \
+			python$$i $(CURDIR)/manage.py test ironic_ui.test.tests -v 2 --settings=ironic_ui.test.settings ; \
 	done
 	## Delete __pycache__
 	find . -name __pycache__ -prune -exec rm -rf {} +;

## ironic-ui 4.2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
testtools>=2.2.0 # MIT
testrepository>=0.0.18 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD

# The below is rewquired to build testing module reference

# Include horizon as test requirement
horizon

selenium>=2.50.1 # Apache-2.0
xvfbwrapper>=0.1.3 #license: MIT

=== debian/changelog ===
ironic-ui (4.2.0-3) unstable; urgency=medium

  * Ship enable files in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Jun 2021 12:01:55 +0200

ironic-ui (4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:33:28 +0200

ironic-ui (4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 10:03:55 +0200

ironic-ui (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 20:32:26 +0200

ironic-ui (4.0.0-3) unstable; urgency=medium

  * Move the package to the horizon-plugins Salsa group.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:15:18 +0200

ironic-ui (4.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 09:31:26 +0200

ironic-ui (3.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Removed Breaks+Replaces: python-ironic-ui after Buster release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Oct 2019 09:03:27 +0200

ironic-ui (3.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Michal Arbet ]
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 22 Aug 2019 13:06:24 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:15.0.0~rc1),
+ openstack-dashboard (>= 3:17.1.0),
  python3-coverage,
  python3-django,
  python3-django-nose,
@@ -28,15 +28,15 @@
  python3-testtools,
  subunit,
  testrepository,
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic-ui
-Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic-ui.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/ironic-ui
+Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/ironic-ui.git
 Homepage: https://github.com/openstack/ironic-ui
 
 Package: python3-ironic-ui
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:15.0.0~rc1),
+ openstack-dashboard (>= 3:17.1.0),
  python3-django,
  python3-ironicclient,
  python3-pbr,
@@ -44,9 +44,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Breaks:
- python-ironic-ui (<< 3.3.0),
-Replaces:
- python-ironic-ui (<< 3.3.0),
+ python3-django-horizon (<< 3:18.6.2-4~),
 Description: bare metal hypervisor API for OpenStack - Dashboard plugin
  Ironic provision bare metal machines instead of virtual machines. It is a fork
  of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor

=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,9 @@
 		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
 	done
 
-	# Move config files to standard location
-	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
-
-	# Move config enabled
-	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/ironic_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
-
-	# Remove config files and dirs from /usr/lib/python3/dist-packages/ironic_ui/
-	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/ironic_ui/enabled
+	# Copy config enabled to openstack-dashboard enabled location
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/ironic_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
 
 	dh_install
 	dh_missing --fail-missing

## ironic-ui 4.3.0

=== debian/changelog ===
ironic-ui (4.3.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Mar 2021 14:41:36 -0400

ironic-ui (4.2.0+git2021012814.12eca8a-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 14:21:45 -0500

ironic-ui (4.2.0+git2020121016.a11375c-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 16:02:53 -0500

ironic-ui (3.4.0-0ubuntu2) eoan; urgency=medium

  * d/control: Ensure (Build-)Depends on latest openstack-dashboard
    package that is fixed for python-django >= 2.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Jul 2019 13:54:02 -0400

ironic-ui (3.4.0-0ubuntu1) eoan; urgency=medium

  * d/control, d/rules, d/python(3)-ironic-ui.*: Drop Python 2 support
    and add Python 3 support.
  * d/python3-ironic-ui.post*: Ensure python3 is used and align with horizon
    and other dashboard packages and use horizon:horizon user:group.
  * d/*: wrap-and-sort -bast.
  * New upstream release for OpenStack Train.
  * d/control, d/compat: Align (Build-)Depends with upstream.
  * d/rules: Align with upstream tox.ini.
  * d/rules: Drop copy of static files to /usr/share/openstack-
    dashboard/openstack_dashboard/static. Static files are already collected
    from /usr/lib/python3/dist-packages/designatedashboard/static/.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 Jul 2019 15:59:14 -0400

=== debian/control ===
Source: ironic-ui
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 1.8),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:16.0.0~b1~git2019061445.2cb84ade8-0ubuntu2~),
 python3-coverage (>= 4.0),
 python3-django (>= 2.2.3),
 python3-django-nose (>= 1.2),
 python3-hacking (>= 0.12.0),
 python3-ironicclient (>= 2.3.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic-ui
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic-ui
Homepage: https://github.com/openstack/ironic-ui

Package: python3-ironic-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:16.0.0~b1~git2019061445.2cb84ade8-0ubuntu2~),
 python3-django (>= 2.2.3),
 python3-ironicclient (>= 2.3.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.7.0),
 ${misc:Depends},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - Dashboard plugin
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package contains the Ironic OpenStack dashboard plugin.

## ironic-ui 5.0.0

=== debian/changelog ===
ironic-ui (5.0.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 12:22:03 +0000

ironic-ui (4.3.0+git2021061112.448f2c4-0ubuntu2) impish; urgency=medium

  * d/control: Drop python-pbr.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 23 Jun 2021 08:04:25 +0000

ironic-ui (4.3.0+git2021061112.448f2c4-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:31 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
  python-all,
- python-pbr (>= 1.8),
  python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),

## ironic-ui 5.1.0

=== debian/changelog ===
ironic-ui (5.1.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 09:46:52 -0400

ironic-ui (5.0.0+git2022011217.07e5607-0ubuntu2) jammy; urgency=medium

  * d/rules: Fix PBR_VERSION for git version handling (LP: #1959402).
  * d/control, d/rules: Switch to pybuild and debhelper compat 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Feb 2022 08:51:34 -0500

ironic-ui (5.0.0+git2022011217.07e5607-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/rules: Update PBR_VERSION to handle git versioning (LP: #1959402).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jan 2022 12:58:49 -0500

ironic-ui (5.0.0+git2021120912.07e5607-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 12:24:28 -0500

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-setuptools,
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,

## ironic-ui 6.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,4 +3,5 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-python-ironicclient>=2.3.0 # Apache-2.0
+python-ironicclient!=2.5.2,!=2.7.1,>=2.3.0 # Apache-2.0
+horizon>=17.1.0  # Apache-2.0

=== debian/changelog ===
ironic-ui (6.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:21:01 +0200

ironic-ui (6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - django-4.x-ugettext_lazy-is-removed.patch
    - django-4.x-url-is-removed.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2022 17:13:18 +0200

ironic-ui (5.1.0-3) unstable; urgency=medium

  * Fix Django 4.x compat (Closes: #1013515):
    - Add django-4.x-ugettext_lazy-is-removed.patch
    - Add django-4.x-url-is-removed.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jun 2022 10:38:42 +0200

ironic-ui (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 13:51:35 +0200

ironic-ui (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2022 12:03:09 +0100

ironic-ui (5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:21:15 +0200

ironic-ui (5.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:48:41 +0200

ironic-ui (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed testrepository from build-depends.
  * Require Horizon >= 3:20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Sep 2021 13:50:56 +0200

ironic-ui (4.3.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:14:00 +0200

ironic-ui (4.3.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 11:40:59 +0200

ironic-ui (4.3.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:27:52 +0200

ironic-ui (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Mar 2021 08:42:41 +0100

=== debian/control ===
Source: ironic-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-coverage,
 python3-django,
 python3-django-nose,
 python3-hacking,
 python3-ironicclient,
 python3-openstackdocstheme,
 python3-oslotest,
 python3-six,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/ironic-ui
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/ironic-ui.git
Homepage: https://github.com/openstack/ironic-ui

Package: python3-ironic-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-django,
 python3-ironicclient,
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Description: bare metal hypervisor API for OpenStack - Dashboard plugin
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package contains the Ironic OpenStack dashboard plugin.

## ironic-ui 6.0.0+git2022091214.708e850

=== debian/changelog ===
ironic-ui (6.0.0+git2022091214.708e850-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/p/django-4-ugettext-lazy-is-removed.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:48:39 -0400

ironic-ui (5.1.0+git2022071816.8974cb6-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/control: Ensure min version of openstack-dashboard has ALLOWED_HOSTS in
    list format for django 4.x.
  * d/p/django-4-ugettext-lazy-is-removed.patch: Cherry-pick to deal with
    removal of features in django 4.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 16:10:49 -0400

ironic-ui (5.1.0+git2022060210.8974cb6-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 10:48:33 -0400

=== debian/control ===
Source: ironic-ui
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-coverage (>= 4.0),
 python3-django (>= 2.2.3),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-nose (>= 1.2),
 python3-hacking,
 python3-ironicclient (>= 2.3.0),
 python3-openstackdocstheme,
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno,
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic-ui
Homepage: https://opendev.org/openstack/ironic-ui

Package: python3-ironic-ui
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django (>= 2.2.3),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-ironicclient (>= 2.3.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.7.0),
 ${misc:Depends},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - Dashboard plugin
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package contains the Ironic OpenStack dashboard plugin.

## ironic-ui 6.1.0

=== debian/changelog ===
ironic-ui (6.1.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 01 Mar 2023 20:12:02 +0000

ironic-ui (6.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Mar 2023 14:00:18 -0500

ironic-ui (6.0.0+git2023011009.647f4988-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:56:13 -0500

## ironic-ui 6.2.1

=== debian/changelog ===
ironic-ui (6.2.1-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 12:47:49 +0000

ironic-ui (6.2.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:58:50 -0400

ironic-ui (6.2.0+git2023090714.93ca4f46-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:22:26 -0400

ironic-ui (6.1.0+git2023061415.3f636aaf-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:04:08 -0400

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-django-nose (>= 1.2),
  python3-hacking,
  python3-ironicclient (>= 2.3.0),
- python3-openstackdocstheme,
+ python3-openstackdocstheme (>= 2.2.1),
  python3-oslosphinx (>= 2.5.0),
  python3-oslotest (>= 1:3.2.0),
  python3-reno,

## ironic-ui 6.3.0

=== requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-ironicclient!=2.5.2,!=2.7.1,>=2.3.0 # Apache-2.0
horizon>=17.1.0  # Apache-2.0

=== debian/changelog ===
ironic-ui (6.3.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2024 09:48:34 +0000

ironic-ui (6.2.1+git2024020611.1e10c0a2-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Priority extra -> optional.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Feb 2024 10:51:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ironic-ui
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
 http://tarballs.openstack.org/ironic-ui/ ironic-ui-(\d.*)\.tar\.gz

## ironic-ui 6.4.0

=== debian/changelog ===
ironic-ui (6.4.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090424).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 08:15:14 +0100

ironic-ui (6.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 13:56:41 +0200

ironic-ui (6.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 16:16:10 +0200

ironic-ui (6.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 21:07:30 +0200

ironic-ui (6.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Mar 2024 15:02:44 +0100

ironic-ui (6.2.1-3) unstable; urgency=medium

  * Remove useless depends on python3-six (Closes: #1053966).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jan 2024 10:33:25 +0100

ironic-ui (6.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:43:47 +0200

ironic-ui (6.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 16:46:04 +0200

ironic-ui (6.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-django-nose from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 13:59:29 +0200

ironic-ui (6.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046169).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 11:45:58 +0200

ironic-ui (6.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:23:21 +0200

ironic-ui (6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove breaks, obsolete after Bookworm.
  * Removed (build-)depends versions satisfied after Bookworm.
  * Bumped debhelper-compat to 11.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 09:34:52 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/ironic-ui/tags .*/(\d[brc\d\.]+)\.tar\.gz

## ironic-ui 6.5.0

=== debian/changelog ===
ironic-ui (6.5.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 20:54:41 +0000

ironic-ui (6.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:53:13 +0100

ironic-ui (6.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:29:33 +0100

## ironic-ui 6.5.0+really

=== debian/changelog ===
ironic-ui (6.5.0+really-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 20 Mar 2025 09:58:56 -0700

ironic-ui (6.5.0+git2025030311.b09a3d3-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 14:59:06 +0000

ironic-ui (6.4.0+git2025011511.b09a3d3-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Guillaume Boutry ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove unnecessary dependencies.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 21 Jan 2025 16:58:26 +0000

ironic-ui (6.4.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 12:47:01 +0100

ironic-ui (6.3.0+git2024080809.297c9849-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Myles <myles.penner@canonical.com>  Thu, 15 Aug 2024 15:52:17 +0100

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,8 @@
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
- python3-coverage (>= 4.0),
  python3-django (>= 2.2.3),
- python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
+ python3-django-horizon (>= 4:17.1.0),
  python3-django-nose (>= 1.2),
  python3-hacking,
  python3-ironicclient (>= 2.3.0),
@@ -42,10 +41,9 @@
 Depends:
  openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-django (>= 2.2.3),
- python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
+ python3-django-horizon (>= 4:17.1.0),
  python3-ironicclient (>= 2.3.0),
  python3-pbr (>= 2.0.0),
- python3-six (>= 1.7.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: bare metal hypervisor API for OpenStack - Dashboard plugin

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
 http://tarballs.openstack.org/ironic-ui/ ironic_ui-(6\.5\..*)\.tar\.gz
